package jp.sourceforge.cfneo.at4ie.api.impl.ie;

import org.apache.log4j.Logger;

import watij.dialogs.AlertDialog;

/**
 * watijのAlertDialogのDummy用実装クラス。
 * @author imaitakafumi
 *
 */
public class AT4IEAlertDialog implements AlertDialog {

	Logger logger = Logger.getLogger(AT4IEAlertDialog.class);

	@Override
	public void ok() throws Exception {
		logger.info("AT4IEAlertDialog#ok()");
	}

	@Override
	public boolean exists() throws Exception {
		logger.info("AT4IEAlertDialog#exists()");
		return false;
	}

	@Override
	public void quit() throws Exception {
		logger.info("AT4IEAlertDialog#quit()");
	}

	@Override
	public String text() throws Exception {
		logger.info("AT4IEAlertDialog#text()");
		return "This is mock AlertDialog.";
	}

	@Override
	public String title() throws Exception {
		logger.info("AT4IEAlertDialog#title()");
		return "Mock AlertDialog";
	}

}
